AppdefPagerFilterGroupEntityResource (Hyperic HQ Plugin API)
Keywords: org.hyperic.hq.appdef.shared.pager.AppdefPagerFilterGroupEntityResource class

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.hq.appdef.shared.pager
Class AppdefPagerFilterGroupEntityResource

    java.lang.Object
      org.hyperic.hq.appdef.shared.pager.AppdefPagerFilterGroupEntityResource

All Implemented Interfaces:
  AppdefPagerFilter

    public class AppdefPagerFilterGroupEntityResource

extends java.lang.Object
implements AppdefPagerFilter

Pager Processor filter that filters object instances of AppdefEntityID based on three contextual criteria: group type entity type and resource type. These three values are passed during construction and referenced during pager processing. The filter simply returns a flag indicating whether or not entity was caught by the filter. Context IO matrix: [input 1] [input 2] [input 3] [output] GROUP_TYPE ENTITY_TYPE RESOURCE_TYPE TRUE (INVENTORY RETURNED) ---------------------------------------------------------------------- ADHOC_APP -1 -1 Applications ADHOC_APP APP -1 Applications ADHOC_APP GROUP -1 Applications ADHOC_GRP GROUP -1 Mixed Groups of Groups ADHOC_GRP GROUP COMPAT_PS Compatible groups ADHOC_GRP GROUP ADHOC_APP Mixed Groups of Applications ADHOC_GRP GROUP ADHOC_PSS Mixed Groups of PSS ADHOC_PSS -1 -1 All Platforms,Servers & Services ADHOC_PSS PLATFORM -1 All Platforms ADHOC_PSS PLATFORM All Platforms of ADHOC_PSS SERVER -1 All Servers ADHOC_PSS SERVER All Servers of ADHOC_PSS SERVICE -1 All Services ADHOC_PSS SERVICE All Services of ADHOC_PSS GROUP -1 Grps Platform,server,Services COMPAT_PS All of COMPAT_SVC All of COMPAT_PS GROUP -1 All compatible groups COMPAT_SVC GROUP -1 All compatible groups -1 GROUP -1 All mixed groups -1 GROUP COMPAT_SVC All service clusters -1 -1 All of entity -1 All of

Constructor Summary
`AppdefPagerFilterGroupEntityResource(AuthzSubject subject, int gt, int et, int rt, boolean negate)`

Method Summary
`int` | `getEntityType()`
`int` | `getFilterCount()` Fetch the number of objects that were successfully caught by the filter -- either inclusively or exclusively
`int` | `getGroupType()`
`int` | `getResourceType()`
`AuthzSubject` | `getSubject()`
`boolean` | `isCaught(java.lang.Object o)` Evaluate an object against the filter.
`boolean` | `isExclusive()` Is this filer set to exclude resources that match the filter.
`void` | `setGroupSelected(boolean b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AppdefPagerFilterGroupEntityResource

    public AppdefPagerFilterGroupEntityResource(AuthzSubject subject,
                                                int gt,
                                                int et,
                                                int rt,
                                                boolean negate)

Method Detail

### getGroupType

    public int getGroupType()

### getEntityType

    public int getEntityType()

### getResourceType

    public int getResourceType()

### getSubject

    public AuthzSubject getSubject()

### getFilterCount

    public int getFilterCount()

  Description copied from interface: `AppdefPagerFilter`
  Fetch the number of objects that were successfully caught by the filter -- either inclusively or exclusively

  Specified by:
    `getFilterCount` in interface `AppdefPagerFilter`

### isExclusive

    public boolean isExclusive()

  Description copied from interface: `AppdefPagerFilter`
  Is this filer set to exclude resources that match the filter. If exclude==false, this would imply an inclusive filter.

  Specified by:
    `isExclusive` in interface `AppdefPagerFilter`

### setGroupSelected

    public void setGroupSelected(boolean b)

### isCaught

    public boolean isCaught(java.lang.Object o)

  Evaluate an object against the filter.

  Specified by:
    `isCaught` in interface `AppdefPagerFilter`
  Parameters:
    `o` - - object instance of AppdefEntityID
  Returns:
    flag - true if caught (unless negated)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Hyperic HQ Plugin API v. 4.4.0.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2006 Hyperic, Inc. support@hyperic.net, All Rights Reserved.